#ifndef _YImage_h
#define _YImage_h

/*nclude <X11/Xlib.h>
#include <X11/Xutil.h>*/

#include "YObject.h"
#include "YWindow.h"

/*
typedef struct _XImage
{
	int width, height;		// size of image 
	int xoffset;			// number of pixels offset in X direction 
	int format;			// XYBitmap, XYPixmap, ZPixmap 
	char *data;			// pointer to image data 
	int byte_order;			// data byte order, LSBFirst, MSBFirst 
	int bitmap_unit;		// quant. of scanline 8, 16, 32
	int bitmap_bit_order;		// LSBFirst, MSBFirst
	int bitmap_pad;			// 8, 16, 32 either XY or ZPixmap
	int depth;			// depth of image
	int bytes_per_line;		// accelerator to next scanline
	int bits_per_pixel;		// bits per pixel (ZPixmap)
	unsigned long red_mask;		// bits in z arrangement
	unsigned long green_mask;
	unsigned long blue_mask;
	XPointer obdata;		// hook for the object routines to hang on 
	struct funcs // image manipulation routines
	{
		struct _XImage *(*create_image)();
		int (*destroy_image)();
		unsigned long (*get_pixel)();
		int (*put_pixel)();
		struct _XImage *(*sub_image)();
		int (*add_pixel)();
	} f;
} XImage;
 * */

class YImage: protected YObject
{
	XImage *pXImage;
	void *data;
public:
	YImage();
	~YImage();

	// inlines...
	inline void *getDataPtr(){return data;}
	inline XImage *getXImagePtr(){return pXImage;}

	// members
	bool setSize(int xres, int yres, int pixel_size);
	void putImage(class YWindow *pYWindow, int x, int y);
};

#endif //_YImage_h

